<?php

declare(strict_types=1);

namespace App\Http\Requests;

use Illuminate\Foundation\Http\FormRequest;

/**
 * Class StoreUserNotificationTokenRequest
 *
 * @package App\Http\Requests
 */
final class StoreUserNotificationTokenRequest extends FormRequest
{
    /**
     * @return bool
     */
    public function authorize()
    {
        return true;
    }

    /**
     * @return array
     */
    public function rules(): array
    {
        return [
            'notification_token' => 'required|string|min:1|max:256',
        ];
    }
}
